Commit 58b2f0e1 authored by Luigi Toscano's avatar Luigi Toscano
Browse files

Use QMobipocket >= 2 (Qt5 based)

Use the new way of finding it, as include and libraries directories
are not exported, but the target information are and can be used through
target_link_libraries..
parent 34ea79c2
......@@ -76,10 +76,10 @@ set_package_properties("libepub" PROPERTIES
TYPE RECOMMENDED
PURPOSE "Support for EPub documents in Okular.")
find_package(QMobipocket)
find_package(QMobipocket "2")
set_package_properties("libqmobipocket" PROPERTIES
DESCRIPTION "A library for reading Mobipocket documents"
URL "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket"
URL "https://commits.kde.org/kdegraphics-mobipocket"
TYPE RECOMMENDED
PURPOSE "Support for Mobipocket documents in Okular.")
......@@ -131,6 +131,6 @@ endif(EPUB_FOUND)
add_subdirectory(txt)
if(QMOBIPOCKET_FOUND)
if(QMobipocket_FOUND)
add_subdirectory(mobipocket)
endif()
include_directories( ${QMOBIPOCKET_INCLUDE_DIR} )
########### next target ###############
set(okularGenerator_mobi_PART_SRCS
......@@ -10,7 +8,7 @@ set(okularGenerator_mobi_PART_SRCS
okular_add_generator(okularGenerator_mobi ${okularGenerator_mobi_PART_SRCS})
target_link_libraries(okularGenerator_mobi okularcore ${QMOBIPOCKET_LIBRARIES} KF5::I18n Qt5::Gui)
target_link_libraries(okularGenerator_mobi okularcore qmobipocket KF5::I18n Qt5::Gui)
########### install files ###############
install( FILES okularMobi.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment